#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  Freeglut-3.8.0

- Next

  GLEW-2.3.1

- Up
- Home

# gdk-pixbuf-2.44.6

## Introduction to Gdk Pixbuf

The Gdk Pixbuf package is a toolkit for image loading and pixel buffer manipulation. It is used by GTK+ 3 to load and manipulate images. In the past it was distributed as part of GTK+ 2, but it was split off into a separate package in preparation for the change to GTK+ 3.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gdk-pixbuf/2.44/gdk-pixbuf-2.44.6.tar.xz

- Download MD5 sum: ad6ce42706cd6947971c7d046c804222

- Download size: 5.8 MB

- Estimated disk space required: 68 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### Gdk Pixbuf Dependencies

#### Required

GLib-2.88.0 (GObject Introspection required for GNOME) and shared-mime-info-2.4

#### Recommended

docutils-0.22.4 and glycin-2.1.1 (circular: build gdk-pixbuf without glycin first, then build glycin with all its recommended dependencies, and rebuild gdk-pixbuf again)

#### Optional

Gi-DocGen-2026.1 (to generate documentation), libavif-1.4.1 (runtime, deprecated), libjpeg-turbo-3.1.4.1 (deprecated), libjxl-0.11.2 (runtime, deprecated), libpng-1.6.58 (deprecated), librsvg-2.62.1 (runtime, deprecated), and libtiff-4.7.1 (deprecated)

## Installation of Gdk Pixbuf

Install Gdk Pixbuf by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..                \
          --prefix=/usr           \
          --buildtype=release     \
          -D png=disabled         \
          -D gif=disabled         \
          -D jpeg=disabled        \
          -D tiff=disabled        \
          -D thumbnailer=disabled \
          --wrap-mode=nofallback  \
          $(pkgconf glycin-2 || echo -D glycin=disabled) &&
    ninja

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed "/docs_dir =/s@\$@ / 'gdk-pixbuf-2.44.6'@" -i ../docs/meson.build &&
    meson configure -D gtk_doc=true                                        &&
    ninja

To test the results, issue: ninja test

Now, as the `root` user:

    ninja install

### Note

If you installed the package on to your system using a “DESTDIR” method, an important file was not installed and should be copied and/or generated. Generate it using the following command as the `root` user:

    gdk-pixbuf-query-loaders --update-cache

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`--wrap-mode=nofallback`: This switch prevents meson from using subproject fallbacks for any dependency declarations in the build files, preventing it from downloading any optional dependencies which are not installed on the system.

`-D *=disabled`: Don't build the components obsoleted in favor of glycin. Those components are automatically disabled when building this package with glycin installed, but explicitly specify those options to make the configuration of the first build (without glycin) consistent.

## Contents

Installed Programs: gdk-pixbuf-csource, gdk-pixbuf-pixdata, and gdk-pixbuf-query-loaders
Installed Libraries: libgdk_pixbuf-2.0.so
Installed Directories: /usr/include/gdk-pixbuf-2.0, /usr/lib/gdk-pixbuf-2.0, /usr/libexec/installed-tests/gdk-pixbuf, /usr/share/installed-tests/gdk-pixbuf, /usr/share/gtk-doc/html/gdk-pixbuf, and /usr/share/thumbnailers

### Short Descriptions

gdk-pixbuf-csource | is a small utility that generates C code containing images, used for compiling images directly into programs
gdk-pixbuf-pixdata | is a tool used to convert GdkPixbuf to GdkPixdata
gdk-pixbuf-query-loaders | collects information about loadable modules for Gdk Pixbuf and writes it to the default cache file location, or to stdout
`libgdk_pixbuf-2.0.so` | contains functions used to load and render images

- Prev

  Freeglut-3.8.0

- Next

  GLEW-2.3.1

- Up
- Home